Page MenuHomePhabricator

Explore adding ORES filters and new filtering system to Watchlist, Related Changes and other pages
Closed, ResolvedPublic

Description

The new filtering and ORES scoring system designed for RC Page will be useful on other pages, including Watchlist and Related Changes. Through deign explorations, determine what changes, if any, these tools would need to be extended to these other pages.

List of pages to consider

  • Special:Log
  • Watchlist
  • Related Changes
  • User Contributions
  • Page Triage

What else?

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptSep 9 2016, 12:14 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
This comment was removed by jmatazzoni.

It's already on Related Changes (before the back-end change), since that is a subclass of Recent Changes.

Watchlist should also be pretty easy (I already updated the back-end of that for the new structure), since that is in the same famly. The following are conceptually similar but have different DB tables and class hierarchy:

  • Special:Log
  • User Contributions
  • Page Triage

We'll have to discuss the architecture (we may even be able to make them subclass ChangesListSpecialPage, but needs investigation).

I made a comparison of Watchlist and User Contributions (with respect to Recent Changes) in T159444.
These are two of the most prominent tools (with links next to your username on top) and I think they would be a good start.
As expected, they share many aspects in common but we need to discuss some adjustments if we want to provide a more consistent experience.

Quiddity removed a subscriber: Quiddity.Mar 9 2017, 12:41 AM
jmatazzoni closed this task as Resolved.Apr 18 2017, 9:18 PM

I think this has been superseded. Closing.